<?php

use EuKit\Base\Parts\NewsMLArticle;
use EuKit\Base\ViewModels\Teaser;
use Infomaker\Everyware\Base\OpenContent\OpenContentProvider;

/* Get Article data */

function returnArticleLists($query, $count, $start)
{
    $articles = OpenContentProvider::setup([
        'q'                      => $query,
        'contenttypes'           => ['Article'],
        'sort.indexfield'        => 'Pubdate',
        'sort.Pubdate.ascending' => true,
        'limit'                  => $count,
        'start'                  => $start,
        'Status'                 => 'usable'
    ]);

    $articles->setPropertyMap('Article');
    $articlesData = array_map(function (NewsMLArticle $article) {
        $teaser = new Teaser($article);
        $teaserView = $teaser->getViewData();
        $teaserView['timeDiff'] = humanTimeDiff($teaserView['pubdate']);
        $teaserView['articleyoutubeuris'] = $article['articleyoutubeuris'];
        $teaserView_body_raw = simplexml_load_string($article["properties"]["body_raw"]);
        $teaserView['body_raw'] = strip_tags($teaserView_body_raw->asXML());
        return $teaserView;
    }, $articles->queryWithRequirements());

    //echo "Return Article List"; echo "<pre>"; print_r($articlesData); die;

    return [
        'articles' => $articlesData,
        'hits' => $articles->hits()
    ];
}
